[sane-devel] Hewllet Packard 4300c Scanner

Bertrik Sikken bertrik@zonnet.nl
Sun, 02 Feb 2003 22:14:35 +0100

Yago wrote:

>Hi to all. I have an HP 4300c USB scanner and I know this scanner don't have 
>Linux support, also no SANE support.
>Through the SANE Home Page links now I know that I need the "SANE backends for 
>flatbed scanners with the NIASH chipset" for to work with my scanner. The 
>installation of this packet that suppose:
>"In order to properly build SANE with the NIASH backend, you should remove any 
>previously installed version of SANE and all related packages (thanks to 
>Harman Nagra for pointing this out)".
This is meant to avoid problems with double installations of sane
(one from the RPM and one compiled from source).

>But if I want to remove my SANE packet (is the sane-backends-1.0.9-3.1mdk and 
>sane-frontends-1.0.9-1.1mdk) I need to remove also this software:
I think you need only uninstall the RPMs for sane-backends and libsane
(+ their devel packages). This is possible by using the --nodeps flag
rpm -e sane-backends --nodeps
rpm -e libsane-devel --nodeps
rpm -e libsane1 --nodeps

>And the dependencies that suppose remove also:
You should keep these.

Keep in mind that the HP3400 and HP4300 are not supported fully.
It is not possible to set the vertical scanning position, it always
starts at the very top and you may see some parts of the calibration
strip in the scan.

Kind regards,
Bertrik Sikken